Bug 865942 - KeyError: -1
Summary: KeyError: -1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aa4d5ced029ae8e0d3224bd044f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-12 21:05 UTC by Daniel Peess
Modified: 2012-12-06 07:27 UTC (History)
4 users (show)

Fixed In Version: anaconda-18.21-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-23 04:54:19 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (462.77 KB, text/plain)
2012-10-12 21:05 UTC, Daniel Peess
no flags Details
File: environ (882 bytes, text/plain)
2012-10-12 21:05 UTC, Daniel Peess
no flags Details
File: type (9 bytes, text/plain)
2012-10-12 21:05 UTC, Daniel Peess
no flags Details
File: ifcfg.log (631 bytes, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: storage.log (183.14 KB, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: version (2 bytes, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: program.log (106.65 KB, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: product (6 bytes, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: anaconda.log (5.26 KB, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: release (33 bytes, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details
File: messages (135.67 KB, text/plain)
2012-10-12 21:06 UTC, Daniel Peess
no flags Details

Description Daniel Peess 2012-10-12 21:05:45 UTC
Description of problem:
nightly installation cd from 2012-10-09.
selected manual partitioning and my /dev/sda1 that still contains fedora 17 /.
installer fails, log says could not read the crypttab file.


Version-Release number of selected component:
anaconda-18.14-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 860, in _save_right_side
:    device_type = device_type_map[device_type]
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1636, in on_selector_clicked
:    self._save_right_side(self._current_selector)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 192, in _onSelectorClicked
:    cb(selector)
:KeyError: -1

Comment 1 Daniel Peess 2012-10-12 21:05:53 UTC
Created attachment 626277 [details]
File: anaconda-tb

Comment 2 Daniel Peess 2012-10-12 21:05:56 UTC
Created attachment 626278 [details]
File: environ

Comment 3 Daniel Peess 2012-10-12 21:05:58 UTC
Created attachment 626279 [details]
File: type

Comment 4 Daniel Peess 2012-10-12 21:06:00 UTC
Created attachment 626280 [details]
File: ifcfg.log

Comment 5 Daniel Peess 2012-10-12 21:06:03 UTC
Created attachment 626281 [details]
File: storage.log

Comment 6 Daniel Peess 2012-10-12 21:06:06 UTC
Created attachment 626282 [details]
File: version

Comment 7 Daniel Peess 2012-10-12 21:06:08 UTC
Created attachment 626283 [details]
File: program.log

Comment 8 Daniel Peess 2012-10-12 21:06:11 UTC
Created attachment 626284 [details]
File: product

Comment 9 Daniel Peess 2012-10-12 21:06:13 UTC
Created attachment 626285 [details]
File: anaconda.log

Comment 10 Daniel Peess 2012-10-12 21:06:15 UTC
Created attachment 626286 [details]
File: hashmarkername

Comment 11 Daniel Peess 2012-10-12 21:06:17 UTC
Created attachment 626287 [details]
File: cmdline_file

Comment 12 Daniel Peess 2012-10-12 21:06:19 UTC
Created attachment 626288 [details]
File: release

Comment 13 Daniel Peess 2012-10-12 21:06:22 UTC
Created attachment 626289 [details]
File: messages

Comment 14 Chris Lumens 2012-10-15 14:53:27 UTC
Do you still see this with anaconda-18.16?  Sorry for the lame default question, but storage changes are going in pretty fast right now so it's worth rechecking.

Comment 15 Daniel Peess 2012-10-15 18:24:36 UTC
the installation successfully started and finished as soon as i first mkfs.ext4 the / of the existing fedora 17 installation.
without any files in it i could select the existing / as the target of my feodra 18 installation.

didn't know the installer was still in early stages,
i was rather interested into the bug-report-at-install-time, and that worked flawlessly ;-).

Comment 16 Chris Lumens 2012-10-16 14:32:24 UTC
The problem here appears to be that we are allowing you to modify /dev/sr0, which is of course not legal.  Do you remember if your old F17 installation reference /dev/sr0 in your /etc/fstab?

Comment 17 Daniel Peess 2012-10-16 18:32:20 UTC
exactly:

# /etc/fstab
# Created by anaconda on Sun Dec  4 04:28:09 2011
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
UUID=a8ae94f9-81c8-4983-a6b6-83894596263f /     ext4 defaults,relatime,discard,barrier=1,data=journal,journal_checksum 1 1
UUID=2072db8e-f7dc-4c37-bf96-5a7a3ae5ff01 /home ext4 defaults,relatime,discard,barrier=1,data=journal,journal_checksum 1 2
/dev/disk/by-id/ata-Slimtype_BD_E_DS4E1S_105060498663 /disc  udf,iso9660  user,noauto,noexec,nosuid,nodev 0 0
## volatile temporary directory
tmpfs  /tmpfs  tmpfs   mode=3777,noexec,nosuid,nodev  0 0
## fedora tmpfs memory based upgrades
#tmpfs /var/cache/yum/x86_64/18/ tmpfs size=2048M,noexec,nosuid,nodev 0 0
## end-of-file

are you sincere with the not legal part?
is there any new dynamic way to permit non-root-users to mount optical media without any gnome mounting magic in the background?
this 'user,noauto' stuff worked for ages... suddenly declaring it "forbidden or we crash" is kind of funny.

Comment 18 Chris Lumens 2012-10-16 18:36:25 UTC
By "not legal", I mean anaconda should not let you modify a CD/DVD drive as if it were a partitionable device.  We've never let you use such devices in the UI before

I don't know anything about any gnome mounting background magic.

Comment 19 Daniel Peess 2012-10-16 18:48:22 UTC
i'm confused... i did not *select* any DVD drive at all.
i did select an existing fedora 17 installation that happens to have a fstab entry of an optical media... and the installer of f18 crashed.

on upgrades the installer is perfectly fine to parse configuration files of my existing installations, but in installation mode and manual partitioning?

additionally configuration file parsing that crashes on unexpected values is weird... recalling "always sanitize your input".

Comment 20 Chris Lumens 2012-10-16 18:58:23 UTC
> additionally configuration file parsing that crashes on unexpected values is
> weird... recalling "always sanitize your input".

Well, that's why this is a bug report.

Comment 21 Fedora Update System 2012-10-26 01:29:04 UTC
anaconda-18.21-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.21-1.fc18

Comment 22 Fedora Update System 2012-10-26 19:31:01 UTC
Package anaconda-18.21-1.fc18, pykickstart-1.99.21-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.21-1.fc18 pykickstart-1.99.21-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16868/pykickstart-1.99.21-1.fc18,anaconda-18.21-1.fc18
then log in and leave karma (feedback).

Comment 23 Adam Williamson 2012-11-23 04:54:19 UTC
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Comment 24 Fedora Update System 2012-11-29 01:24:55 UTC
anaconda-18.32-1.fc18, pykickstart-1.99.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pykickstart-1.99.22-1.fc18,anaconda-18.32-1.fc18

Comment 25 Fedora Update System 2012-12-06 07:27:02 UTC
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.